GHSA-gg8r-24qm-qfch

Suggest an improvement
Source
https://github.com/advisories/GHSA-gg8r-24qm-qfch
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-gg8r-24qm-qfch/GHSA-gg8r-24qm-qfch.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-gg8r-24qm-qfch
Aliases
Published
2022-05-24T16:44:55Z
Modified
2024-02-16T08:14:16.068811Z
Severity
  • 3.3 (Low) CVSS_V3 - CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N CVSS Calculator
Summary
Jenkins Aqua MicroScanner Plugin stored credentials in plain text
Details

Jenkins Aqua MicroScanner Plugin stored credentials unencrypted in its global configuration file on the Jenkins controller. These credentials could be viewed by users with access to the Jenkins controller file system.

Aqua MicroScanner Plugin now stores credentials encrypted.

References

Affected packages

Maven / org.jenkins-ci.plugins:aqua-microscanner

Package

Name
org.jenkins-ci.plugins:aqua-microscanner
View open source insights on deps.dev
Purl
pkg:maven/org.jenkins-ci.plugins/aqua-microscanner

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.0.6

Affected versions

1.*

1.0.1
1.0.2
1.0.3
1.0.4
1.0.5

Database specific

{
    "last_known_affected_version_range": "<= 1.0.5"
}